Skip to main content
GET
/
v1
/
receipts
List read receipts
curl --request GET \
  --url https://api.messages.dev/v1/receipts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "chat_id": "<string>",
      "handle": "<string>",
      "last_read_at": 123,
      "synced_at": 123
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Use an API key as a bearer token: Authorization: Bearer sk_live_...

Query Parameters

from
string
required

Line handle (phone number or Apple ID)

Example:

"+15551234567"

to
string
required

Chat identifier (phone number, Apple ID, or chat ID)

Example:

"+15559876543"

Response

List of read receipts

data
object[]
has_more
boolean

Whether more items exist beyond this page

next_cursor
string | null

Cursor to pass as cursor query parameter for the next page

request_id
string